from django.contrib import admin
from . import models
from .models import SMSLog

admin.site.register(models.CustomUser)
admin.site.register(models.ChamaMember)
admin.site.register(models.ChamaOfficial)
admin.site.register(models.SavingsAccount)
admin.site.register(models.UserActivityLog)
admin.site.register(models.NextOfKin)
admin.site.register(models.IndividualDocuments)
admin.site.register(models.SigningMandate)
admin.site.register(models.ChamaSigningMandate)
admin.site.register(models.CorporateDocuments)
admin.site.register(models.BoardResolution)
admin.site.register(models.PassportPhoto)
admin.site.register(models.KraPin)
admin.site.register(models.LoanOriginationDocuments)
admin.site.register(models.LoanApplication)
admin.site.register(models.Guarantor)
admin.site.register(models.Security)
admin.site.register(models.SavingsApplication)
admin.site.register(models.SpouseClaim)
admin.site.register(models.PrincipalClaim)
admin.site.register(models.ParentClaim)
admin.site.register(models.ParentInLawClaim)
admin.site.register(models.DependantClaim)
admin.site.register(models.InpatientClaim)
# Register your models here.

@admin.register(SMSLog)
class SMSLogAdmin(admin.ModelAdmin):
    list_display = ("phone", "timestamp", "response_status")
    search_fields = ("phone", "response_status")
    list_filter = ("response_status", "timestamp")
